"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var context_1 = require("../../context");
var unified_decoration_1 = __importDefault(require("./unified_decoration"));
exports.Decoration = react_1.default.memo(function (props) {
    var _a = context_1.useDiffSettings(), gutterType = _a.gutterType, monotonous = _a.monotonous;
    return react_1.default.createElement(unified_decoration_1.default, __assign({ hideGutter: gutterType === 'none', monotonous: monotonous }, props));
});
exports.default = exports.Decoration;
//# sourceMappingURL=index.js.map