import React from 'react';
import { ViewStyle } from 'react-native';
import { INode } from '../../tokenize/back_to_tree';
import { IHunk, IChange, GutterType, DiffType, Widgets, DiffChildren, IGutterOptions } from '../../types';
interface IDiffProps {
    diffType: DiffType;
    hunks: IHunk[];
    gutterType?: GutterType;
    style?: ViewStyle;
    selectedChanges?: string[];
    widgets?: Widgets;
    optimizeSelection?: boolean;
    children?: DiffChildren;
    renderGutter?: (options: IGutterOptions) => JSX.Element;
    renderToken?: (token: INode) => JSX.Element;
    onChangePress?: (change: IChange) => any;
}
declare const Diff: React.FunctionComponent<IDiffProps>;
export default Diff;
